
%% CSTR Initialization
% below variables are fixed (not change it), they are specific for the
% plant used on this example
global Ca T qc

h = 0.1;
d = ceil(0.5/h);

max_delay = max(d+1, 8);

Ca(1:max_delay) = 0.1;
T(1:max_delay) = 438.54;

m = 60/h;

uk(1:max_delay) = 103.41;
yk(1:max_delay) = 0.1;

qc = uk;

%% CSTR Plant Reference
ref_end = 88*m;

r = 0.105; % step value
rk(1,1:11*m) = r;
r = 0.085; % step value
rk(1,11*m + 1:22*m) = r;
r = 0.095; % step value
rk(1,22*m + 1:33*m) = r;
r = 0.08; % step value
rk(1,33*m + 1:44*m) = r;
r = 0.09; % step value
rk(1,44*m + 1:55*m) = r;
r = 0.1; % step value
rk(1,55*m + 1:66*m) = r;
r = 0.11; % step value
rk(1,66*m + 1:77*m) = r;
r = 0.0925; % step value
rk(1,77*m+1:ref_end) = r;